//===========================================================================
// Name:			doctor_t.c
// Function:		chat lines for doctor
// Author:			Raven
//===========================================================================

//example initial chats

chat "picard"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	// Initiated when the bot enters the game
	// 0 = bot name
	type "game_enter" 
	{
		"Let's discuss this...I don't want to fight you!";
		"At ease.";
		"ENGAGE!.";
	}

	// Initiated when the bot exits the game
	// 0 = bot name
	type "game_exit" 
	{
		"Report to my ready room.";
		0, " returns to the bridge";
		"Dismissed";
	}

	// Initiated when a new level starts
	// 0 = bot name
	type "level_start" 
	{
	}

	// Initiated when a level ends and the bot is not first and not last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	// 3 = opponent in last place
	type "level_end" 
	{
	}

	// Initiated when a level ends and the bot is first in the rankings
	// 0 = bot name
	type "level_end_victory" 
	{
	}

	// Initiated when a level ends and the bot is last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	type "level_end_lose" 
	{
		"I don't have time for this.";
	}

	//======================================================
	//======================================================

	// Bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	//0 = shooter
	type "hit_talking" 
	{
		"Be rational!";
		"Very bad form...";
	}

	// Bot is hit by an opponent's weapon attack; either praise or insult
 	//0 = shooter
	type "hit_nodeath" 
	{		 
		"I'll have in front of a board of inquiry for that";
		"Let us end this...";
	}

	// Bot hits an opponent but does not kill it
 	//0 = opponent
	type "hit_nokill" 
	{
		"I'm disappointed in you.";
		"Report to Doctor Crusher.";
	}

	//======================================================
	//======================================================

	// Initiated when the bot is killed by a telefrag
 	// 0 = enemy name
	type "death_telefrag" 
	{
		"Transporters are NOT supposed to be used as weapons!";
		"Holographic explosives?";
	}

	// Initiated when the bot is killed by taking "normal" falling damage
	// 0 = enemy name
	type "death_cratered" 
	{
		"That was an unwise decision";
	}

	// Initiated when the bot dies in lava
	// 0 = enemy name
	type "death_lava" 
	{
	}

	// Initiated when the bot dies in slime
	// 0 = enemy name
	type "death_slime" 
	{
	}

	// Initiated when the bot drowns
	// 0 = enemy name
	type "death_drown" 
	{
	}

	// Initiated when bot blows self up with a weapon or craters
	// 0 = enemy name
	type "death_suicide" 
	{
	}

	// Insult initiated when the bot died
	// 0 = enemy name
	type "death_insult" 
	{
		"That's insubordination!";
	}

	// Praise initiated when the bot died
	// 0 = enemy name
	type "death_praise" 
	{
	}

	//======================================================
	//======================================================

	// Initiated when the bot telefragged someone
	// 0 = enemy name
	type "kill_telefrag" 
	{
		"Didn't anyone ever tell you Holodecks are dangerous?";
	}

	// Insult initiated when the bot killed someone
	// 0 = enemy name
	type "kill_insult" 
	{
		"You're a poor officer.";
		"Next time, follow orders!";
	}

	// Praise initiated when the bot killed someone
	// 0 = enemy name
	type "kill_praise" 
	{
		"You put up one hell of a fight...";
		"As your Captain, I will be giving your eulegy.";
	}

	//======================================================
	//======================================================

	// Insult initiated randomly (just when the bot feels like it)
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_insult" 
	{
		"DARMOK!";
		"There are FOUR lights!";
		"The line must be drawn HERE!";
	}

	// Miscellaneous chats initiated randomly
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_misc" 
	{
		"";
	}
}

